#include <iostream>
#include <string.h>
using namespace std;
int main()
{
    int n;
    char s[253];
    cin>>s;
    n=0;
    n=strlen(s);
    if(n<26)
        cout<<0;
    if(n==27)
        cout<<1;
    return 0;
}